job "base_images" {

  datacenters = ["dc1"]
  region      = "global"


  # Note : This is not a job to run
  # Just a dummy job file for ctctl to be able to easily build base images
  # So just set a constrain to be sure the job can't run
  constraint {
    attribute = "${attr.kernel.name}"
    value     = "nonexistant"
  }

  group "base_images" {
    task "alma8" {
      driver = "docker"
      config {
        image = "danielberteaud/alma:8.24.5-1"
      }
    }
    task "alma9" {
      driver = "docker"
      config {
        image = "danielberteaud/alma:9.24.5-1"
      }
    }
    task "alpine" {
      driver = "docker"
      config {
        image = "danielberteaud/alpine:24.5-1"
      }
    }
    task "java11" {
      driver = "docker"
      config {
        image = "danielberteaud/java:11.24.5-1"
      }
    }
    task "java17" {
      driver = "docker"
      config {
        image = "danielberteaud/java:17.24.5-1"
      }
    }
    task "java21" {
      driver = "docker"
      config {
        image = "danielberteaud/java:21.24.5-1"
      }
    }
    task "java8" {
      driver = "docker"
      config {
        image = "danielberteaud/java:8.24.5-1"
      }
    }
    task "mariadb" {
      driver = "docker"
      config {
        image = "danielberteaud/mariadb:24.5-1"
      }
    }
    task "mariadb_client" {
      driver = "docker"
      config {
        image = "danielberteaud/mariadb-client:24.5-1"
      }
    }
    task "mongo50" {
      driver = "docker"
      config {
        image = "danielberteaud/mongo:5.0.24.5-1"
      }
    }
    task "pgbouncer" {
      driver = "docker"
      config {
        image = "danielberteaud/pgbouncer:24.5-1"
      }
    }
    task "php82" {
      driver = "docker"
      config {
        image = "danielberteaud/php:82.24.5-1"
      }
    }
    task "php83" {
      driver = "docker"
      config {
        image = "danielberteaud/php:83.24.5-1"
      }
    }
    task "postgres15" {
      driver = "docker"
      config {
        image = "danielberteaud/postgres:15.24.5-1"
      }
    }
    task "postgres16" {
      driver = "docker"
      config {
        image = "danielberteaud/postgres:16.24.5-1"
      }
    }
    task "sqlite" {
      driver = "docker"
      config {
        image = "danielberteaud/sqlite:24.5-1"
      }
    }
    task "valkey" {
      driver = "docker"
      config {
        image = "danielberteaud/valkey:24.5-1"
      }
    }
    task "wait_for" {
      driver = "docker"
      config {
        image = "danielberteaud/wait-for:24.5-1"
      }
    }
    task "wkhtmltopdf" {
      driver = "docker"
      config {
        image = "danielberteaud/wkhtmltopdf:24.5-1"
      }
    }
  }
}
