[[- /* vim: syntax=hcl
 This is a generic, small and reusable valkey task
 It provides no data persistance */ -]]

    # Local valkey instance
    task "valkey" {
      driver = "docker"
      user   = 6379

      lifecycle {
        hook    = "prestart"
        sidecar = true
      }

      config {
        image           = "[[ .redis.image ]]"
        readonly_rootfs = true
        pids_limit      = 100
        args            = ["/local/valkey.conf"]
      }

      template {
        data =<<_EOT
bind 127.0.0.1
maxmemory {{ env "NOMAD_MEMORY_LIMIT" | parseInt | subtract 5 }}mb
databases 1
save ""
appendonly no
_EOT
        destination = "local/valkey.conf"
      }

[[ template "common/resources" .redis ]]
    }

